## bolacha-0.2.2.tar.bz2

=== Makefile ===
all: clean test

clean:
	@echo "Cleaning up all *.pyc files ..."
	@find . -name '*.pyc' -delete
	@echo "Cleaning up all temp files ..."
	@find . -name '*.tmp' -delete
	@rm -f log.txt
	@echo "Cleaning up build files ..."
	@rm -rf build

test: run_server
	@echo "Running all tests ..."
	@nosetests -s --with-coverage --cover-package=bolacha tests/{unit,functional}
	@echo "Done."
	@make clean

unit:
	@echo "Running unit tests ..."
	@nosetests -s --with-coverage --cover-package=bolacha tests/unit
	@echo "Done."

run_server: kill_server
	@echo "Running builtin HTTP server ..."
	@python tests/functional/bolacha_server.py 2>&1 > log.txt &
	@sleep 2

functional: run_server
	@echo "Running functional tests ..."
	@nosetests -s --with-coverage --cover-package=bolacha tests/functional
	@make clean
	@make kill_server

kill_server:
	@echo "Shutting down builtin HTTP server ..."
	@-ps aux | egrep 'bolacha_server' | egrep -v grep | awk '{ print $$2 }' | xargs kill -9 2>&1 /dev/null
	@echo "Done."

build: test
	@echo "Building bolacha"
	@python setup.py build
	@echo "Done."

=== changelog ===
python-bolacha (0.2.1) experimental; urgency=low

  * New release, a big bug fix.

 -- Gabriel Falcão Gonçalves de Moura <gabriel.falcao@corp.globo.com>  Mon, 10 Aug 2009 16:05:50 -0300

python-bolacha (0.2) experimental; urgency=low

  * New release!

 -- Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>  Sun, 09 Aug 2009 00:28:05 -0300

python-bolacha (0.1) experimental; urgency=low

  * Initial release.

 -- Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>  Sun, 09 Aug 2009 00:16:51 -0300

=== control ===
Source: python-bolacha
Section: python
Priority: optional
Maintainer: Gabriel Falcão Gonçalves de Moura <gabriel@nacaolivre.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 7), python, cdbs, python-setuptools, python-support, python-cherrypy3, python-nose, python-mox, python-sphinx, python-httplib2
Build-Depends-Indep: python-sphinx
Homepage: http://github.com/gabrielfalcao/bolacha
Vcs-Git: git://github.com/gabrielfalcao/bolacha.git
Vcs-Browser: http://github.com/gabrielfalcao/bolacha/tree/master

Package: python-bolacha
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-httplib2
Description: Bolacha is a helper layer over httplib2
 The goal of bolacha is providing a high level abstraction and
 automatic handling of cookies and of posting multipart/form-data
 data. Which means, deals with sessions of cookie-baed websites, and
 can also make uploads.

=== rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM := pysupport
DEB_PYTHON_MODULE_PACKAGE = python-bolacha

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

clean::
	rm -rf docs/_build/*
	rm -rf build
